Subject: bug#55647: Emacs manual - Change references to "global-set-key" to "keymap-global-set"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 May 2022 08:45:42 +0300

[Please use Reply All to keep the bug tracker on the CC list.]

> From: Dhanvanthri N <[email-masked]>
> Date: Sat, 28 May 2022 18:10:05 -0500
> 
> I just switched back to stable, since native-comp is in 28; I notice 
> that in 28, the documentation doesn't mention keymap-global-set, is this 
> something that was introduced in 29?

Yes.

> I'm not sure how to find all the references to global-set-key in the 
> documentation;

Grep the *.texi files in the doc/lispref/ and doc/emacs/ directories
of the Emacs source tree for the references to the obsolete functions
and commands.

> however if it's only in the documentation for 
> global-set-key, should I still submit a patch?

No need for that one case, thanks.